
"""
Initialize the modules needed for the website
"""

import os

from flask import Flask
from dotenv import load_dotenv
from flask_apscheduler import APScheduler


load_dotenv()

class Config():
    """Config settings for the application"""
    SECRET_KEY = os.environ["SECRET_KEY"]
    SEND_FILE_MAX_AGE_DEFAULT = 1296000

app = Flask(__name__)
app.config.from_object(Config())
app.jinja_env.lstrip_blocks = True
app.jinja_env.trim_blocks = True

scheduler = APScheduler()
scheduler.init_app(app)
scheduler.start()
